// import React from 'react'
import './product-release.css'
import { Select, DatePicker } from 'antd';
import type { DatePickerProps } from 'antd';
import locale from 'antd/es/date-picker/locale/zh_CN';
// import dayjs, { Dayjs } from 'dayjs';
export default function ProductRelease() {
  const dateFormat = 'YYYY年MM月DD日';
  const belongTypeChange = (value: string) => {
    console.log(`selected ${value}`);
  }
  const onChange: DatePickerProps['onChange'] = (date, dateString) => {
    console.log(date, dateString);
  };
  const height = window.innerHeight - 180;
  return (
    <div className='product-release' style={{ height: `${height}px`, overflow: 'auto' }}>
      <div className='product-release-search'>
        <Select
          // defaultValue="lucy"
          placeholder='请选择所属者类型'
          style={{ width: 198 }}
          onChange={belongTypeChange}
          options={[
            { value: 'person', label: '个人' },
            { value: 'lucy', label: '企业' },
          ]}
        />
        <DatePicker placeholder="软件取得时间"
          format={dateFormat}
          locale={locale}
          style={{}}
          onChange={onChange}
        />
      </div>
    </div>
  )
}

